Docs Menu
Docs Home
/ /

List Active Ops Manager Servers

Returns a list of all active Ops Manager servers. Ops Manager considers a server active if it sent a heartbeat to the Application Database within the last 20 seconds. Use this endpoint to discover valid serverId values before you submit a log collection request.

Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0

GET /admin/servers

Requires that the API Key calling this endpoint have the Global Read Only role.

This endpoint doesn't use HTTP request path parameters.

Name
Type
Necessity
Description
Default

pageNum

number

Optional

One-based integer that returns a subsection of results.

1

itemsPerPage

number

Optional

Number of items to return per page, up to a maximum of 500.

100

type

string

Optional

Server type to filter by. Pass this parameter multiple times to include several types (?type=VALUE_1&type=VALUE_2). The currently supported value is MMS_SERVER, which represents the Ops Manager application server. If you omit this parameter, Ops Manager returns all types (currently only MMS_SERVER).

All types

status

string

Optional

Server status to filter by. Currently the only valid value is active. Any other value returns 400 INVALID_SERVER_STATUS. If you omit this parameter, Ops Manager returns active servers.

active

pretty

boolean

Optional

Flag indicating whether the response body should be in a prettyprint format.

false

envelope

boolean

Optional

Flag that indicates whether to wrap the response in an envelope. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query.

false

This endpoint doesn't use HTTP request body parameters.

The response includes an array of server objects, an array of link objects, and the total number of server objects retrieved.

Name
Type
Description

results

array

Array of active Ops Manager servers. See results Embedded Document.

links

array

Array of one or more links to sub-resources or related resources. The relations between URLs follow Web Linking Specification (RFC 5988).

totalCount

number

Total number of items in the result set. May exceed the size of results when paginated.

Each results element represents one active Ops Manager server.

Name
Type
Description

results[n].serverId

string

Identifier of the active Ops Manager server.

results[n].serverType

string

Type of server. Currently always returns MMS_SERVER.

results[n].lastPing

string

Timestamp, in ISO 8601 UTC format, when the server last sent a heartbeat.

curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \
--header "Accept: application/json" \
--include \
--request GET \
"https://<OpsManagerHost>:<Port>/api/public/v1.0/admin/servers?pretty=true"
HTTP/1.1 401 Unauthorized
Content-Type: application/json;charset=ISO-8859-1
Date: {dateInUnixFormat}
WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=false
Content-Length: {requestLengthInBytes}
Connection: keep-alive
HTTP/1.1 200 OK
Vary: Accept-Encoding
Content-Type: application/json
Strict-Transport-Security: max-age=300
Date: {dateInUnixFormat}
Connection: keep-alive
Content-Length: {requestLengthInBytes}
X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}
{
"links": [
{
"href": "https://<OpsManagerHost>:<Port>/api/public/v1.0/admin/servers?pageNum=1&itemsPerPage=100",
"rel": "self"
}
],
"results": [
{
"serverId": "om-server-1.example.com",
"serverType": "MMS_SERVER",
"lastPing": "2026-04-13T10:00:15Z"
},
{
"serverId": "om-server-2.example.com",
"serverType": "MMS_SERVER",
"lastPing": "2026-04-13T10:00:12Z"
}
],
"totalCount": 2
}

Back

Server Log Collection Jobs

On this page